USB Loader GX R883 and error finding

Discussion in 'Wii - Backup Loaders' started by azoreseuropa, Nov 15, 2011.

Nov 15, 2011
  1. azoreseuropa
    OP

    Member azoreseuropa GBAtemp Psycho!

    Joined:
    Nov 6, 2002
    Messages:
    4,491
    Location:
    I am deaf and live in the USA for now :D
    Country:
    Portugal
    Hello, good people.

    I dont want to update it. If it ain't broken then don't fixed it. It works fine with most of my games include Legend of Zelda: Skyward Sword but I was stupid to deleted something but I am not sure what.
    So, I really need your help.. I am not newbie and I have been with older Wii and homebrew for about 2 years now. Guess what ? I uninstalled something by mistake and I got this problem. Let's see: I run USB Loader GX and something came up with an error on my tv screen but it just ignore and goes on and I am able to run my games fine through DVD or WFBS. What annoying me is that I dont like this error every time the screen came up. Is there a way I can fix it ? Maybe a program that can be able to tell me what cios I might have mistake removed or a missing file I have or something ? I hope this might help you. Here and thanks:

    Initializing controllers
    initialize USB (wake up)
    Reloading ios 249... -4100
    IOS 249 failed, reloading ios 222...0
    Initialize sd card
    Load shc module
    deinit sd card
    init wbfs...0
    Initializes sd card
    Initializes usb device
    Loading Configuration...done
    Reloading IOS to config setting (250)...-2
     
  2. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,407
    Location:
    Engine room, learning
    Country:
    France
    To me, it seems you removed IOS249, or replaced it with a stub version, or removed another IOS which had "shared" content with IOS249 (that's why you should never delete a IOS, only replace it, because it can remove files used by other program).

    Old version always used slot249 to boot, load the config file, then switch to the IOS you defined in the config.

    So, here what it does for you:
    load IOS249 > Don't find it > fallback to another "known working" IOS > Try to load IOS222 > ok > Read the config file > find IOS250 in config file > reload to IOS250 > ok > Done loading, show user interface.


    You should reinstall IOS249 rev17 (like you said, no need to update when it's not broken. I'm still using rev17), or cIOS d2x v6 (base38 if you want to use old Wad managers, or base56 if you don't care and want USB speed and 99% game compatibility).

    That will short the boot sequence to :
    load IOS249 > ok > Read the config file > find IOS250 in config file > reload to IOS250 > ok > Done loading, show user interface.


    That was for the old version of GX.
    Now, new versions or USBloaderGX exists in three different version : Boot with 249, 222 or 250.
    It prevent checking the config and reloading to the wanted IOS. It boost the boot process. (it has no other function than boosting the boot)

    Use usbloader 2.3 version 250:
    Load 250 > ok > check config > 250 > no IOS change needed. Show user interface.




    Edit:
    Ah, if you reinstall Waninkoko's cIOS rev17, it will install it in both slots 249 and 250.
    So if you want/currently have something else in your slot 250, be sure to reinstall it after installing rev17.

    You can use Bluedump to create a wad of your current slot250 if you don't remember what's there or don't have the installer anymore. (but it may require a working IOS249)
     
  3. azoreseuropa
    OP

    Member azoreseuropa GBAtemp Psycho!

    Joined:
    Nov 6, 2002
    Messages:
    4,491
    Location:
    I am deaf and live in the USA for now :D
    Country:
    Portugal
    You are right. It was missed. My fault, jeez. How do I reinstall IOS249 rev17 ? I am on 3.2u if you must know. I forgot.
     
  4. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,407
    Location:
    Engine room, learning
    Country:
    France
    no problem, I'm on 3.2E too, and using rev17 :)

    http://filetrip.net/file.php?id=9426

    Use the online installation, it'seasier.
    If you don't have online on your Wii, you will need a specific wad version of IOS38 on your SD card.


    PS: if you don't want another IOS version in slot 250, then set your config file in GX to use "IOS249", it will speed the boot sequence. no IOS reloading is needed.
     
  5. azoreseuropa
    OP

    Member azoreseuropa GBAtemp Psycho!

    Joined:
    Nov 6, 2002
    Messages:
    4,491
    Location:
    I am deaf and live in the USA for now :D
    Country:
    Portugal
    LOL, Thanks. Select IOS249 but I dont have it, then use IOS36?
     
  6. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,407
    Location:
    Engine room, learning
    Country:
    France
    yes, use IOS36 (he still has the Trucha bug)
     
  7. azoreseuropa
    OP

    Member azoreseuropa GBAtemp Psycho!

    Joined:
    Nov 6, 2002
    Messages:
    4,491
    Location:
    I am deaf and live in the USA for now :D
    Country:
    Portugal
    Thanks.. Network installation.. Successfully. IOS249 is there now. Whew. Cheers. :)
     

Share This Page